> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# TikTok Shop 用户橱窗

> 采集一位用户的公共 TikTok Shop 展示产品。

# TikTok Shop 用户橱窗

采集 TikTok 用户的公共商店展示柜中展示的产品。

## 请求示例

```json theme={null}
{
  "username": "simplymandys",
  "results_limit": 20
}
```

本接口当前仅支持 US 地区。region 可省略或设为 US；其他地区会在创建任务前被拒绝。results\_limit 范围为 20–2000。系统不会自动改变目标地区。

## 与 MCP 一起使用

| 接口 | 值 |
| - | - |
| REST | `POST /v1/tiktok-shop/user-showcase` |
| Compact MCP | `socq_execute` 与 `endpoint: "tiktok-shop/user-showcase"` |
| Typed MCP | `socq_tiktok_shop_user_showcase` |
| 精确工具 URL | `https://api.socq.ai/mcp?tools=tiktok_shop_user_showcase` |
| CLI | `socq tiktok-shop user-showcase` |

使用上面的 JSON 请求正文作为 `socq_execute` 的嵌套 `input` 对象，或将相同的字段直接传递给Typed 工具。Typed 工具还接受 `_wait_seconds`、`_result_limit` 和 `_idempotency_key`。

> [!NOTE]
>
> 成功的采集将返回 `task_id`。继续 `socq_get_task` 直到任务成功，然后从 `results.items` 读取规范化记录。

有关完整的提交和轮询流程，请参阅[MCP 快速入门](https://docs.socq.ai/zh/integrations/mcp.md)。

一项任务接受一个用户名。 `@` 前缀是可选的。

## 结果字段

任务结果使用下列稳定的 SocQ 字段。来源特有的字段名称和格式会被规范化，但不会推断或补充来源未提供的值。如需请求更小的字段集，MCP 查询请使用 `fields`，Typed 工具请使用 `_result_fields`，CLI 请使用 `--result-fields`。即使值为 `null`，已声明的字段仍会保留。

| 字段 | 类型 | 可空 | 说明 |
| - | - | - | - |
| `id` | `string` | 是 | 当前结果项的唯一标识。 |
| `platform` | `string` | 否 | 结果所属的平台，例如 `instagram` 或 `linkedin`。 |
| `resource` | `string` | 否 | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type` | `string` | 否 | 结果项的类别，例如 `video`、`post` 或 `comment`。 |
| `url` | `string` | 是 | 结果项的公开访问地址（如可获得）。 |
| `published_at` | `string` | 是 | 源内容的发布时间（如可获得），使用 ISO 8601 格式。 |
| `collected_at` | `string` | 否 | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。 |
| `title` | `string` | 是 | 商品标题。 |
| `text` | `string` | 是 | 商品描述。 |
| `seller` | `object` | 是 | 商品或条目关联的卖家。 |
| `seller.id` | `string` | 是 | 卖家的唯一标识。 |
| `seller.username` | `string` | 是 | 账号的公开用户名或账号标识。 |
| `seller.name` | `string` | 是 | 卖家的显示名称。 |
| `seller.url` | `string` | 是 | 卖家的公开访问地址（如可获得）。 |
| `seller.avatar_url` | `string` | 是 | 账号头像图片的地址。 |
| `seller.is_verified` | `boolean` | 是 | 账号是否已通过平台认证。 |
| `seller.is_private` | `boolean` | 是 | 账号是否为私密账号。 |
| `price` | `object` | 是 | 条目或商品的价格信息。 |
| `price.amount` | `number` | 是 | 货币金额的数值。 |
| `price.currency` | `string` | 是 | 货币金额所使用的币种代码或符号。 |
| `price.formatted` | `string` | 是 | 便于阅读的价格或薪酬文本。 |
| `rating` | `number` | 是 | 平台报告的商品平均评分。 |
| `reviews_count` | `integer` | 是 | 评价数量。 |
| `sold_count` | `integer` | 是 | 已售数量（如有报告）。 |
| `media` | `array<object>` | 是 | 结果附带的图片、视频或其他媒体。 |
| `media.type` | `string` | 是 | 媒体类型，例如 `image` 或 `video`。 |
| `media.url` | `string` | 是 | 媒体文件的地址。 |
| `media.thumbnail_url` | `string` | 是 | 媒体预览图的地址。 |
| `media.width` | `integer` | 是 | 媒体宽度，单位为像素。 |
| `media.height` | `integer` | 是 | 媒体高度，单位为像素。 |
| `media.duration_seconds` | `number` | 是 | 媒体时长，单位为秒。 |

## 任务完成响应

```json theme={null}
{
  "code": 200,
  "data": {
    "task_id": "A1B2C3D4E5F6G7H8",
    "status": "succeeded",
    "public_id": "tiktok-shop/user-showcase",
    "result_count": 1,
    "credits_amount": 0.7,
    "results": {
      "limit": 50,
      "next_cursor": null,
      "has_more": false,
      "schema_id": "product",
      "schema_version": "1.0",
      "items": [
        {
          "id": "1732210666230419545",
          "platform": "tiktok-shop",
          "resource": "user-showcase",
          "type": "product",
          "url": "https://www.tiktok.com/shop/pdp/1732210666230419545",
          "published_at": null,
          "collected_at": "2026-07-18T10:30:00Z",
          "title": "Featured Product",
          "text": "Featured Product",
          "seller": null,
          "price": null,
          "rating": null,
          "reviews_count": null,
          "sold_count": null,
          "media": [
            {
              "type": "image",
              "url": "https://example.com/featured.jpg",
              "thumbnail_url": null,
              "width": null,
              "height": null,
              "duration_seconds": null
            }
          ]
        }
      ]
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/tiktok-shop/user-showcase
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-49b371f0f690
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/tiktok-shop/user-showcase:
    post:
      tags:
        - tiktok-shop
      summary: TikTok Shop 用户橱窗
      description: 采集一位用户的公共 TikTok Shop 展示产品。
      operationId: socq_tiktok_shop_user_showcase
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                region:
                  type: string
                  minLength: 1
                  enum:
                    - US
                  default: US
                  description: 当前仅支持 US，默认 US；其他地区会在创建任务前被拒绝。
                results_limit:
                  type: integer
                  minimum: 20
                  maximum: 2000
                  description: 最多保存的结果数，实际结果可能少于该值。
                username:
                  type: string
                  minLength: 1
                  description: 公开账号用户名。
              required:
                - username
              description: >-
                本接口当前仅支持 US 地区。region 可省略或设为 US；其他地区会在创建任务前被拒绝。results_limit 范围为
                20–2000。系统不会自动改变目标地区。
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.